org.jbpm.workflow.core.node

## Class StateNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.StateBasedNode
      - - org.jbpm.workflow.core.node.CompositeNode
        - - org.jbpm.workflow.core.node.CompositeContextNode
          - - org.jbpm.workflow.core.node.StateNode

- All Implemented Interfaces:
    Serializable, Contextable, ContextContainer, ContextResolver, Constrainable, EventNodeInterface, org.kie.api.definition.process.Node, org.kie.api.definition.process.NodeContainer

      public class StateNode
      extends CompositeContextNode
      implements Constrainable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.core.node.CompositeNode

      `CompositeNode.CompositeNodeEnd, CompositeNode.CompositeNodeStart, CompositeNode.NodeAndType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_BOUNDARY, EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConstraint(ConnectionRef connectionRef, Constraint constraint)` Adds the given constraint.
    `Constraint` | `getConstraint(org.kie.api.definition.process.Connection connection)`
    `Constraint` | `getConstraint(ConnectionRef connectionRef)`
    `Map<ConnectionRef,Constraint>` | `getConstraints()`
    `void` | `setConstraint(org.kie.api.definition.process.Connection connection, Constraint constraint)`
    `void` | `setConstraints(Map<ConnectionRef,Constraint> constraints)`

    - ### Methods inherited from class org.jbpm.workflow.core.node.CompositeContextNode

      `addContext, getContext, getContexts, getDefaultContext, resolveContext, setDefaultContext`

    - ### Methods inherited from class org.jbpm.workflow.core.node.CompositeNode

      `acceptsEvent, addIncomingConnection, addNode, addOutgoingConnection, getLinkedIncomingNode, getLinkedIncomingNodes, getLinkedOutgoingNode, getLinkedOutgoingNodes, getNode, getNodeByUniqueId, getNodes, internalAddNode, internalGetLinkedIncomingNode, internalGetLinkedOutgoingNode, internalGetNode, internalGetNodes, internalRemoveNode, isAutoComplete, isCancelRemainingInstances, linkIncomingConnections, linkIncomingConnections, linkOutgoingConnections, linkOutgoingConnections, removeIncomingConnection, removeNode, removeOutgoingConnection, setAutoComplete, setCancelRemainingInstances, validateAddIncomingConnection, validateAddOutgoingConnection, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode

      `addBoundaryEvents, addTimer, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, getActionTypes, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `clearIncomingConnection, clearOutgoingConnection, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.workflow.core.node.EventNodeInterface

      `acceptsEvent`

- - ### Constructor Detail

    - #### StateNode

          public StateNode()

  - ### Method Detail

    - #### setConstraints

          public void setConstraints(Map<ConnectionRef,Constraint> constraints)

    - #### setConstraint

          public void setConstraint(org.kie.api.definition.process.Connection connection,
                                    Constraint constraint)

      Overrides:
        `setConstraint` in class `NodeImpl`

    - #### addConstraint

          public void addConstraint(ConnectionRef connectionRef,
                                    Constraint constraint)

      Description copied from interface: `Constrainable`
      Adds the given constraint. In cases where the constraint is associated with a specific connection, this connection will be identified using a ConnectionRef. In other cases the ConnectionRef will be null and can be ignored.
      Specified by:
        `addConstraint` in interface `Constrainable`
      Overrides:
        `addConstraint` in class `NodeImpl`

    - #### getConstraint

          public Constraint getConstraint(ConnectionRef connectionRef)

    - #### getConstraints

          public Map<ConnectionRef,Constraint> getConstraints()

      Overrides:
        `getConstraints` in class `NodeImpl`

    - #### getConstraint

          public Constraint getConstraint(org.kie.api.definition.process.Connection connection)

      Overrides:
        `getConstraint` in class `NodeImpl`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.